--- a/build.xml
+++ b/build.xml
@@ -494,7 +494,7 @@
     building a tomcat release.</echo>
   </target>
 
-  <target name="deploy" depends="build-only,build-docs,warn.dbcp">
+  <target name="deploy" depends="build-only,build-docs,warn.dbcp,deploy-webapps">
 
     <copy tofile="${tomcat.build}/bin/tomcat-native.tar.gz"
             file="${tomcat-native.tar.gz}" />
@@ -530,6 +530,13 @@
       </fileset>
     </copy>
 
+    <copy file="${tomcat-dbcp.jar}" todir="${tomcat.build}/lib" />
+    <copy file="${jasper-jdt.jar}" todir="${tomcat.build}/lib" />
+
+  </target>
+
+  <target name="deploy-webapps" depends="build-only,build-docs">
+
     <!-- Copy other regular webapps -->
     <copy todir="${tomcat.build}/webapps">
       <fileset dir="webapps">
@@ -654,10 +661,6 @@
       </fileset>
     </txt2html>
 
-    <copy file="${tomcat-dbcp.jar}" todir="${tomcat.build}/lib"
-      failonerror="false"/>
-    <copy file="${jasper-jdt.jar}" todir="${tomcat.build}/lib" />
-
   </target>
 
   <target name="clean-depend"
